## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl
Class SybasesqlmodelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl.SybasesqlmodelPackageImpl

All Implemented Interfaces:
  SybasesqlmodelPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SybasesqlmodelPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SybasesqlmodelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybasesqlmodelPackage
`SybasesqlmodelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybasesqlmodelPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, JDBC_PARAMETER_TYPE, SYBASE_AUTHORIZATION_IDENTIFIER, SYBASE_AUTHORIZATION_IDENTIFIER__COMMENTS, SYBASE_AUTHORIZATION_IDENTIFIER__DATABASE, SYBASE_AUTHORIZATION_IDENTIFIER__DEPENDENCIES, SYBASE_AUTHORIZATION_IDENTIFIER__DESCRIPTION, SYBASE_AUTHORIZATION_IDENTIFIER__EANNOTATIONS, SYBASE_AUTHORIZATION_IDENTIFIER__EXTENSIONS, SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE, SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION, SYBASE_AUTHORIZATION_IDENTIFIER__LABEL, SYBASE_AUTHORIZATION_IDENTIFIER__NAME, SYBASE_AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA, SYBASE_AUTHORIZATION_IDENTIFIER__PRIVILEGES, SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE, SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION, SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER, SYBASE_AUTHORIZATION_IDENTIFIER_FEATURE_COUNT, SYBASE_AUTHORIZED_OBJECT, SYBASE_AUTHORIZED_OBJECT__COMMENTS, SYBASE_AUTHORIZED_OBJECT__DEPENDENCIES, SYBASE_AUTHORIZED_OBJECT__DESCRIPTION, SYBASE_AUTHORIZED_OBJECT__EANNOTATIONS, SYBASE_AUTHORIZED_OBJECT__EXTENSIONS, SYBASE_AUTHORIZED_OBJECT__LABEL, SYBASE_AUTHORIZED_OBJECT__NAME, SYBASE_AUTHORIZED_OBJECT__PRIVILEGES, SYBASE_AUTHORIZED_OBJECT_FEATURE_COUNT, SYBASE_BASE_TABLE, SYBASE_BASE_TABLE__COLUMNS, SYBASE_BASE_TABLE__COMMENTS, SYBASE_BASE_TABLE__CONSTRAINTS, SYBASE_BASE_TABLE__DEPENDENCIES, SYBASE_BASE_TABLE__DESCRIPTION, SYBASE_BASE_TABLE__EANNOTATIONS, SYBASE_BASE_TABLE__EXTENSIONS, SYBASE_BASE_TABLE__INDEX, SYBASE_BASE_TABLE__INSERTABLE, SYBASE_BASE_TABLE__LABEL, SYBASE_BASE_TABLE__NAME, SYBASE_BASE_TABLE__PRIVILEGES, SYBASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_BASE_TABLE__SCHEMA, SYBASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_BASE_TABLE__SUBTABLES, SYBASE_BASE_TABLE__SUPERTABLE, SYBASE_BASE_TABLE__TRIGGERS, SYBASE_BASE_TABLE__UDT, SYBASE_BASE_TABLE__UPDATABLE, SYBASE_BASE_TABLE_FEATURE_COUNT, SYBASE_INDEX_MEMBER, SYBASE_INDEX_MEMBER__COLUMN, SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION, SYBASE_INDEX_MEMBER__COMMENTS, SYBASE_INDEX_MEMBER__DEPENDENCIES, SYBASE_INDEX_MEMBER__DESCRIPTION, SYBASE_INDEX_MEMBER__EANNOTATIONS, SYBASE_INDEX_MEMBER__EXTENSIONS, SYBASE_INDEX_MEMBER__INCREMENT_TYPE, SYBASE_INDEX_MEMBER__LABEL, SYBASE_INDEX_MEMBER__NAME, SYBASE_INDEX_MEMBER__PRIVILEGES, SYBASE_INDEX_MEMBER_FEATURE_COUNT, SYBASE_PARAMETER, SYBASE_PARAMETER__COMMENTS, SYBASE_PARAMETER__CONTAINED_TYPE, SYBASE_PARAMETER__DEFAULT_VALUE, SYBASE_PARAMETER__DEPENDENCIES, SYBASE_PARAMETER__DESCRIPTION, SYBASE_PARAMETER__EANNOTATIONS, SYBASE_PARAMETER__EXTENSIONS, SYBASE_PARAMETER__JDBC_PARAMETER_TYPE, SYBASE_PARAMETER__LABEL, SYBASE_PARAMETER__LOCATOR, SYBASE_PARAMETER__MODE, SYBASE_PARAMETER__NAME, SYBASE_PARAMETER__NULLABLE, SYBASE_PARAMETER__PRIVILEGES, SYBASE_PARAMETER__REFERENCED_TYPE, SYBASE_PARAMETER__ROUTINE, SYBASE_PARAMETER__STRING_TYPE_OPTION, SYBASE_PARAMETER_FEATURE_COUNT, SYBASE_PRIVILEGE, SYBASE_PRIVILEGE__ACTION, SYBASE_PRIVILEGE__ACTION_OBJECTS, SYBASE_PRIVILEGE__COMMENTS, SYBASE_PRIVILEGE__DEPENDENCIES, SYBASE_PRIVILEGE__DESCRIPTION, SYBASE_PRIVILEGE__EANNOTATIONS, SYBASE_PRIVILEGE__EXTENSIONS, SYBASE_PRIVILEGE__GRANTABLE, SYBASE_PRIVILEGE__GRANTEE, SYBASE_PRIVILEGE__GRANTOR, SYBASE_PRIVILEGE__LABEL, SYBASE_PRIVILEGE__NAME, SYBASE_PRIVILEGE__OBJECT, SYBASE_PRIVILEGE__PRIVILEGES, SYBASE_PRIVILEGE__REVOKED, SYBASE_PRIVILEGE__WITH_HIERARCHY, SYBASE_PRIVILEGE_FEATURE_COUNT, SYBASE_ROUTINE, SYBASE_ROUTINE__AUTHORIZATION_ID, SYBASE_ROUTINE__COMMENTS, SYBASE_ROUTINE__CREATION_TS, SYBASE_ROUTINE__DEPENDENCIES, SYBASE_ROUTINE__DESCRIPTION, SYBASE_ROUTINE__DETERMINISTIC, SYBASE_ROUTINE__EANNOTATIONS, SYBASE_ROUTINE__EXTENSIONS, SYBASE_ROUTINE__EXTERNAL_NAME, SYBASE_ROUTINE__LABEL, SYBASE_ROUTINE__LANGUAGE, SYBASE_ROUTINE__LAST_ALTERED_TS, SYBASE_ROUTINE__NAME, SYBASE_ROUTINE__PARAMETER_STYLE, SYBASE_ROUTINE__PARAMETERS, SYBASE_ROUTINE__PRIVILEGES, SYBASE_ROUTINE__SCHEMA, SYBASE_ROUTINE__SECURITY, SYBASE_ROUTINE__SOURCE, SYBASE_ROUTINE__SPECIFIC_NAME, SYBASE_ROUTINE__SQL_DATA_ACCESS, SYBASE_ROUTINE_FEATURE_COUNT, SYBASE_VIEW_TABLE, SYBASE_VIEW_TABLE__CHECK_TYPE, SYBASE_VIEW_TABLE__COLUMNS, SYBASE_VIEW_TABLE__COMMENTS, SYBASE_VIEW_TABLE__DEPENDENCIES, SYBASE_VIEW_TABLE__DESCRIPTION, SYBASE_VIEW_TABLE__EANNOTATIONS, SYBASE_VIEW_TABLE__EXTENSIONS, SYBASE_VIEW_TABLE__INDEX, SYBASE_VIEW_TABLE__INSERTABLE, SYBASE_VIEW_TABLE__LABEL, SYBASE_VIEW_TABLE__NAME, SYBASE_VIEW_TABLE__PRIVILEGES, SYBASE_VIEW_TABLE__QUERY_EXPRESSION, SYBASE_VIEW_TABLE__SCHEMA, SYBASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_VIEW_TABLE__SUBTABLES, SYBASE_VIEW_TABLE__SUPERTABLE, SYBASE_VIEW_TABLE__TRIGGERS, SYBASE_VIEW_TABLE__UDT, SYBASE_VIEW_TABLE__UPDATABLE, SYBASE_VIEW_TABLE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` `getJDBCParameterType()`
`org.eclipse.emf.ecore.EReference` `getSybaseAuthorizationIdentifier_SqlContainer()`
`org.eclipse.emf.ecore.EClass` `getSybaseAuthorizationIdentifier()`
`org.eclipse.emf.ecore.EClass` `getSybaseAuthorizedObject()`
`org.eclipse.emf.ecore.EClass` `getSybaseBaseTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseIndexMember_ColumnExpression()`
`org.eclipse.emf.ecore.EClass` `getSybaseIndexMember()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_DefaultValue()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_JDBCParameterType()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_Nullable()`
`org.eclipse.emf.ecore.EClass` `getSybaseParameter()`
`org.eclipse.emf.ecore.EAttribute` `getSybasePrivilege_Revoked()`
`org.eclipse.emf.ecore.EClass` `getSybasePrivilege()`
`org.eclipse.emf.ecore.EClass` `getSybaseRoutine()`
`SybasesqlmodelFactory` `getSybasesqlmodelFactory()`
`org.eclipse.emf.ecore.EClass` `getSybaseViewTable()`
`static SybasesqlmodelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SybasesqlmodelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SybasesqlmodelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSybaseParameter

    public org.eclipse.emf.ecore.EClass getSybaseParameter()

  Specified by:
    `getSybaseParameter` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Parameter'.
  See Also:
    `SybaseParameter`

### getSybaseParameter_Nullable

    public org.eclipse.emf.ecore.EAttribute getSybaseParameter_Nullable()

  Specified by:
    `getSybaseParameter_Nullable` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseParameter.isNullable()`, `SybasesqlmodelPackage.getSybaseParameter()`

### getSybaseParameter_DefaultValue

    public org.eclipse.emf.ecore.EAttribute getSybaseParameter_DefaultValue()

  Specified by:
    `getSybaseParameter_DefaultValue` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `SybaseParameter.getDefaultValue()`, `SybasesqlmodelPackage.getSybaseParameter()`

### getSybaseParameter_JDBCParameterType

    public org.eclipse.emf.ecore.EAttribute getSybaseParameter_JDBCParameterType()

  Specified by:
    `getSybaseParameter_JDBCParameterType` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'JDBC Parameter Type'.
  See Also:
    `SybaseParameter.getJDBCParameterType()`, `SybasesqlmodelPackage.getSybaseParameter()`

### getSybaseRoutine

    public org.eclipse.emf.ecore.EClass getSybaseRoutine()

  Specified by:
    `getSybaseRoutine` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Routine'.
  See Also:
    `SybaseRoutine`

### getSybaseBaseTable

    public org.eclipse.emf.ecore.EClass getSybaseBaseTable()

  Specified by:
    `getSybaseBaseTable` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Base Table'.
  See Also:
    `SybaseBaseTable`

### getSybaseViewTable

    public org.eclipse.emf.ecore.EClass getSybaseViewTable()

  Specified by:
    `getSybaseViewTable` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase View Table'.
  See Also:
    `SybaseViewTable`

### getSybaseAuthorizationIdentifier

    public org.eclipse.emf.ecore.EClass getSybaseAuthorizationIdentifier()

  Specified by:
    `getSybaseAuthorizationIdentifier` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Authorization Identifier'.
  See Also:
    `SybaseAuthorizationIdentifier`

### getSybaseAuthorizationIdentifier_SqlContainer

    public org.eclipse.emf.ecore.EReference getSybaseAuthorizationIdentifier_SqlContainer()

  Specified by:
    `getSybaseAuthorizationIdentifier_SqlContainer` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Sql Container'.
  See Also:
    `SybaseAuthorizationIdentifier.getSqlContainer()`, `SybasesqlmodelPackage.getSybaseAuthorizationIdentifier()`

### getSybaseIndexMember

    public org.eclipse.emf.ecore.EClass getSybaseIndexMember()

  Specified by:
    `getSybaseIndexMember` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Index Member'.
  See Also:
    `SybaseIndexMember`

### getSybaseIndexMember_ColumnExpression

    public org.eclipse.emf.ecore.EAttribute getSybaseIndexMember_ColumnExpression()

  Specified by:
    `getSybaseIndexMember_ColumnExpression` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Column Expression'.
  See Also:
    `SybaseIndexMember.getColumnExpression()`, `SybasesqlmodelPackage.getSybaseIndexMember()`

### getSybaseAuthorizedObject

    public org.eclipse.emf.ecore.EClass getSybaseAuthorizedObject()

  Specified by:
    `getSybaseAuthorizedObject` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Authorized Object'.
  See Also:
    `SybaseAuthorizedObject`

### getSybasePrivilege

    public org.eclipse.emf.ecore.EClass getSybasePrivilege()

  Specified by:
    `getSybasePrivilege` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase Privilege'.
  See Also:
    `SybasePrivilege`

### getSybasePrivilege_Revoked

    public org.eclipse.emf.ecore.EAttribute getSybasePrivilege_Revoked()

  Specified by:
    `getSybasePrivilege_Revoked` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Revoked'.
  See Also:
    `SybasePrivilege.isRevoked()`, `SybasesqlmodelPackage.getSybasePrivilege()`

### getJDBCParameterType

    public org.eclipse.emf.ecore.EEnum getJDBCParameterType()

  Specified by:
    `getJDBCParameterType` in interface `SybasesqlmodelPackage`
  Returns:
    the meta object for enum 'JDBC Parameter Type'.
  See Also:
    `JDBCParameterType`

### getSybasesqlmodelFactory

    public SybasesqlmodelFactory getSybasesqlmodelFactory()

  Specified by:
    `getSybasesqlmodelFactory` in interface `SybasesqlmodelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.